#!/bin/ksh

set -x

env | grep JAVA_HOME > /tmp/$$env
if [[ -s /tmp/$$env ]]; then
  cat /tmp/$$env | while read entry
  do
     if [[ -z "$entry" ]]; then
       continue
     fi
     value=$(echo $entry | cut -d "=" -f1)
     unset $value
  done
fi

env > /tmp/Pre-install-tsmagent-env.out

exec 2>/tmp/mystartup_tsmagent.out

cd $1

cp $3 /tmp/silent_tsmagent.txt

export TRACE_LEVEL=DEBUG_MAX 

./install.sh -q -h $2 -p $3

env > /tmp/Post-install-tsmagent-env.out

cd $2/bin
digup -a
mv $2/tmp/DIG.tar.gz /tmp/DIG_tsmagent.tar.gz


$2/bin/itm/CandleConfig -A -p $4 sk

if [[ -s /tmp/$$env ]]; then
  cat /tmp/$$env | while read entry
  do
     if [[ -z "$entry" ]]; then
       continue
     fi
	 export $entry
  done
fi
