############################################################ {COPYRIGHT-TOP} ###
# IBM Confidential
# OCO Source Materials
# Tivoli Common Reporting Infrastructure
# 5724-Q87
#
# (c) Copyright IBM Corp. 2007
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
############################################################ {COPYRIGHT-END} ##

###############################################################################
# Usage
###############################################################################
def printUsage():
    print "Usage:  <was_profile_dir>/bin/wsadmin -lang jython -f installISCWar.py <serverName> <warFile> <contentURI> <contextRoot>  <moduleName>"
    print "   where <was_profile_dir>   is your was profile directory"
    print "         <operation>         is the update operation to invoke"
    print "         <serverName>        is the server name of the server"
    print "         <warFile>           is the fully qualified path WAR file"
    print "         <contentURI>        is the content URI, normally same as the WAR file name"
    print "         <contextRoot>       is the context root to map to"
    print "         <moduleName>        is the <display-name> from web.xml"

###############################################################################
# Main block -- script execution starts here.
###############################################################################
# Verify the correct number or parameters was passed in
if not (len(sys.argv) == 6):
   sys.stderr.write("Invalid number of arguments\n")
   printUsage()
   sys.exit(101)

# retrieve the operation
opera = sys.argv[0]

# retrieve the server name
serverName = sys.argv[1]

#War file name with full path
warFile = sys.argv[2]

#Content URI
contentURI = sys.argv[3]

#Context root
contextRoot = sys.argv[4]

#Module name (this is the <display-name> from your web.xml)
moduleName = sys.argv[5]

AdminApp.update( 'isclite', 'modulefile', '[ -operation ' + opera + ' -contents "' + warFile + '" -server ' + serverName + ' -contenturi ' + contentURI + ' -contextroot ' + contextRoot + ' -MapWebModToVH [[.* .* admin_host]] ]')

AdminConfig.save()